Index: Makefile
===================================================================
--- Makefile (nonexistent)
+++ Makefile (revision 251)
@@ -0,0 +1,56 @@
+
+COMPONENT_TARGETS = $(HARDWARE_NOARCH)
+
+
+include ../../../../build-system/constants.mk
+
+
+url = $(DOWNLOAD_SERVER)/sources/packages/l/fuse
+
+versions = 3.16.2
+pkgname = fuse
+suffix = tar.xz
+
+tarballs = $(addsuffix .$(suffix), $(addprefix $(pkgname)-, $(versions)))
+sha1s = $(addsuffix .sha1sum, $(tarballs))
+
+patches = $(CURDIR)/patches/fuse-3.16.2-source-lsb.patch
+
+.NOTPARALLEL: $(patches)
+
+
+BUILD_TARGETS = $(tarballs) $(sha1s) $(patches)
+
+
+include ../../../../build-system/core.mk
+
+
+.PHONY: download_clean
+
+
+$(tarballs):
+ @echo -e "\n======= Downloading source tarballs =======\n" ; \
+ for tarball in $(tarballs) ; do \
+ echo "$(url)/$$tarball" | xargs -n 1 -P 100 wget $(WGET_OPTIONS) - & \
+ done ; wait
+
+$(sha1s): $(tarballs)
+ @for sha in $@ ; do \
+ echo -e "\n======= Downloading '$$sha' signature =======\n" ; \
+ echo "$(url)/$$sha" | xargs -n 1 -P 100 wget $(WGET_OPTIONS) - & wait %1 ; \
+ touch $$sha ; \
+ echo -e "\n======= Check the '$$sha' sha1sum =======\n" ; \
+ sha1sum --check $$sha ; ret="$$?" ; \
+ if [ "$$ret" == "1" ]; then \
+ echo -e "\n======= ERROR: Bad '$$sha' sha1sum =======\n" ; \
+ exit 1 ; \
+ fi ; \
+ done
+
+$(patches): $(sha1s)
+ @echo -e "\n======= Create Patches =======\n" ; \
+ ( cd create-3.16.2-source-lsb-patch ; ./create.patch.sh ) ; \
+ echo -e "\n"
+
+download_clean:
+ @rm -f $(tarballs) $(sha1s) $(patches)
Index: create-3.16.2-source-lsb-patch/create.patch.sh
===================================================================
--- create-3.16.2-source-lsb-patch/create.patch.sh (nonexistent)
+++ create-3.16.2-source-lsb-patch/create.patch.sh (revision 251)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+VERSION=3.16.2
+
+tar --files-from=file.list -xJvf ../fuse-$VERSION.tar.xz
+mv fuse-$VERSION fuse-$VERSION-orig
+
+cp -rf ./fuse-$VERSION-new ./fuse-$VERSION
+
+diff --unified -Nr fuse-$VERSION-orig fuse-$VERSION > fuse-$VERSION-source-lsb.patch
+
+mv fuse-$VERSION-source-lsb.patch ../patches
+
+rm -rf ./fuse-$VERSION
+rm -rf ./fuse-$VERSION-orig
Property changes on: create-3.16.2-source-lsb-patch/create.patch.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: create-3.16.2-source-lsb-patch/file.list
===================================================================
--- create-3.16.2-source-lsb-patch/file.list (nonexistent)
+++ create-3.16.2-source-lsb-patch/file.list (revision 251)
@@ -0,0 +1 @@
+fuse-3.16.2/util/init_script
Index: create-3.16.2-source-lsb-patch/fuse-3.16.2-new/util/init_script
===================================================================
--- create-3.16.2-source-lsb-patch/fuse-3.16.2-new/util/init_script (nonexistent)
+++ create-3.16.2-source-lsb-patch/fuse-3.16.2-new/util/init_script (revision 251)
@@ -0,0 +1,94 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: fuse
+# Required-Start:
+# Should-Start: udev
+# Required-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Start and stop fuse.
+# Description: Load the fuse module and mount the fuse control
+# filesystem.
+### END INIT INFO
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+MOUNTPOINT=/sys/fs/fuse/connections
+
+# Gracefully exit if the package has been removed.
+which fusermount3 &>/dev/null || exit 5
+
+# Define LSB log_* functions.
+if [ -r /lib/lsb/init-functions ]; then
+ . /lib/lsb/init-functions
+fi
+
+case "$1" in
+ start|restart|force-reload)
+ if ! grep -qw fuse /proc/filesystems; then
+ echo -n "Loading fuse module"
+ if ! modprobe fuse >/dev/null 2>&1; then
+ echo " failed!"
+ exit 1
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse filesystem already available."
+ fi
+ if grep -qw fusectl /proc/filesystems && \
+ ! grep -qw $MOUNTPOINT /proc/mounts; then
+ echo -n "Mounting fuse control filesystem"
+ if ! mount -t fusectl fusectl $MOUNTPOINT >/dev/null 2>&1; then
+ echo " failed!"
+ exit 1
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse control filesystem already available."
+ fi
+ ;;
+ stop)
+ if ! grep -qw fuse /proc/filesystems; then
+ echo "Fuse filesystem not loaded."
+ exit 7
+ fi
+ if grep -qw $MOUNTPOINT /proc/mounts; then
+ echo -n "Unmounting fuse control filesystem"
+ if ! umount $MOUNTPOINT >/dev/null 2>&1; then
+ echo " failed!"
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse control filesystem not mounted."
+ fi
+ if grep -qw "^fuse" /proc/modules; then
+ echo -n "Unloading fuse module"
+ if ! rmmod fuse >/dev/null 2>&1; then
+ echo " failed!"
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse module not loaded."
+ fi
+ ;;
+ status)
+ echo -n "Checking fuse filesystem"
+ if ! grep -qw fuse /proc/filesystems; then
+ echo " not available."
+ exit 3
+ else
+ echo " ok."
+ fi
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|status}"
+ exit 1
+ ;;
+esac
+
+exit 0
Property changes on: create-3.16.2-source-lsb-patch/fuse-3.16.2-new/util/init_script
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: patches/README
===================================================================
--- patches/README (nonexistent)
+++ patches/README (revision 251)
@@ -0,0 +1,6 @@
+
+/* begin *
+
+ TODO: Leave some comment here.
+
+ * end */
Index: patches
===================================================================
--- patches (nonexistent)
+++ patches (revision 251)
Property changes on: patches
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,74 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.rk358x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~
Index: .
===================================================================
--- . (nonexistent)
+++ . (revision 251)
Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,74 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.rk358x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~